Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 16 Feb 2022 13:53:24 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I'm going to report this bad customer service to social media for taking my money and not delivering my order claiming no response from my side, it's now almost aweek for not delivering my order and even if I want to cancel Iwill recive my money after 2 to 14 days!!!
This is Avery bad experience everyone have to know!!!
Iam going share this to my followers if I didn't get my order within 48 days cause that's enough https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3903905